Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class ProviderWebService_Service

java.lang.Object
jakarta.xml.ws.Service
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.ProviderWebService_Service

@WebServiceClient(name="ProviderWebService", targetNamespace="http://uws.provider.com/", wsdlLocation="http://localhost:8080/bgbilling/mpsexecuter/mps-ws/ru.bitel.bgbilling.modules.mps.paynet/70/ProviderWebService/1?wsdl") public class ProviderWebService_Service extends jakarta.xml.ws.Service
This class was generated by the JAX-WS RI. JAX-WS RI 2.2.9-b130926.1035 Generated source version: 2.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class jakarta.xml.ws.Service

  `jakarta.xml.ws.Service.Mode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProviderWebService_Service()`
  `ProviderWebService_Service(jakarta.xml.ws.WebServiceFeature... features)`
  `ProviderWebService_Service(URL wsdlLocation)`
  `ProviderWebService_Service(URL wsdlLocation, jakarta.xml.ws.WebServiceFeature... features)`
  `ProviderWebService_Service(URL wsdlLocation, QName serviceName)`
  `ProviderWebService_Service(URL wsdlLocation, QName serviceName, jakarta.xml.ws.WebServiceFeature... features)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProviderWebService`
  `getProviderWebServicePort()`
  `ProviderWebService`
  `getProviderWebServicePort(jakarta.xml.ws.WebServiceFeature... features)`

  ### Methods inherited from class jakarta.xml.ws.Service

  `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProviderWebService_Service

    public ProviderWebService_Service()

  - ### ProviderWebService_Service

    public ProviderWebService_Service(jakarta.xml.ws.WebServiceFeature... features)

  - ### ProviderWebService_Service

    public ProviderWebService_Service(URL wsdlLocation)

  - ### ProviderWebService_Service

    public ProviderWebService_Service(URL wsdlLocation, jakarta.xml.ws.WebServiceFeature... features)

  - ### ProviderWebService_Service

    public ProviderWebService_Service(URL wsdlLocation, QName serviceName)

  - ### ProviderWebService_Service

    public ProviderWebService_Service(URL wsdlLocation, QName serviceName, jakarta.xml.ws.WebServiceFeature... features)

- ## Method Details

  - ### getProviderWebServicePort

    @WebEndpoint(name="ProviderWebServicePort") public ProviderWebService getProviderWebServicePort()
    Returns:
      returns ProviderWebService

  - ### getProviderWebServicePort

    @WebEndpoint(name="ProviderWebServicePort") public ProviderWebService getProviderWebServicePort(jakarta.xml.ws.WebServiceFeature... features)
    Parameters:
      `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
    Returns:
      returns ProviderWebService